Bug 144607 - writer crash on save
writer crash on save
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
:
: 139357 143860 146644 147913 149565 159273 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 11:19 EST by Sean Middleditch
Modified: 2007-11-30 17:10 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 08:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Middleditch 2005-01-09 11:19:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:
Trying to Save or Save As a Writer document always results in a crash.
 This happens when saving a document that is opened, saving a blank
page, or saving a new document with any amount of text.

Sometimes I get a "fatal error has occured, saving document" error,
after which OOo becomes unresponsive to input (but does refresh its
window).  Sometimes I do not get that message and OOo just locks up. 
Sometimes it crashes and bug-buddy pops up, although bug-buddy itself
seems to be near useless (which is my usual experience with bug-buddy).

When I get the "saved document" error, it will restore the document
when I kill OOo and start it back up again.

Most of the time I just get a lock up, occassionally a crash or the
saved-for-restore dialog and input lock up.  I've lost quite a bit of
data the first time this bit me, since I was of course expecting save
to save and not crash.  ;-)

I have tried uninstalling and reinstalling openoffice.org and
openoffice.org-libs, gnome-vfs2, and gtk2, just in case something
weird happened during a package upgrade, but that didn't help - could
be a different package, of course.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-14.7

How reproducible:
Always

Steps to Reproduce:
1. try to save any Writer document
    

Additional info:
Comment 1 Sean Middleditch 2005-01-09 18:35:57 EST
Interestingly, while trying to debug a problem with hald (HAL daemon)
not starting, I discovered that Writer doesn't crash on save if hald
isn't running.  Stop hald, Writer can open the Save dialog fine. 
Start hald back up and Writer crashes/locks-up when trying to open the
Save dialog.

I have hal-0.4.2.cvs20041210-1 and dbus-0.22-12, both freshly
installed after trying to figure out the afore-mentioned hald startup
failure.
Comment 2 Dan Williams 2005-01-09 22:48:00 EST
Sounds like gnome-vfs actually...  Alex?
Comment 3 Dan Williams 2005-01-09 22:49:10 EST
David, can you look at this too?
Comment 4 Sean Middleditch 2005-01-09 22:51:41 EST
Since I forgot it in the original report, the versions of gnome-vfs
and gtk/glib on my machine are:

gnome-vfs2-2.8.2-10
glib2-2.6.0-1
gtk2-2.6.0-1

Also, just for verification, no other apps using the new file selector
or gnome-vfs crash - just OpenOffice.org.
Comment 5 Daniel Malmgren 2005-01-10 09:37:52 EST
I get this crash on several menu commands, "open", "save", "save as"
and "export as pdf" are the ones I've seen this far. In the terminal I get

libgnomevfs-ERROR **: file gnome-vfs-cancellation.c: line 133
(gnome_vfs_cancellation_cancel): assertion failed:
(gnome_vfs_is_primary_thread())
aborting...

Backtrace from bug-buddy (after installing the HUGE debuginfo rpm,
please tell me if I should have any more debuginfo rpms installed)
follows:
Backtrace was generated from '/usr/lib/ooo-1.1/program/soffice.bin'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 2882)]
[New Thread -1372763216 (LWP 2910)]
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 2882)]
[New Thread -1372763216 (LWP 2910)]
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 2882)]
[New Thread -1372763216 (LWP 2910)]
[New Thread -1372496976 (LWP 2909)]
[New Thread -1364071504 (LWP 2908)]
[New Thread -1363805264 (LWP 2907)]
[New Thread -1363461200 (LWP 2906)]
[New Thread -1354990672 (LWP 2905)]
[New Thread -1321788496 (LWP 2903)]
[New Thread -1272616016 (LWP 2900)]
[New Thread -1261614160 (LWP 2899)]
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
#1  0xbfffcc38 in ?? ()
#2  0x00000002 in ?? ()
#3  0x00000000 in ?? ()
#4  0xb6f3122e in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#5  0xb6f2de4b in _L_mutex_lock_144 () from /lib/tls/libpthread.so.0
#6  0x00000000 in ?? ()
#7  0xb69aa31f in g_main_context_release () from /usr/lib/libglib-2.0.so.0
#8  0xb72f8abf in osl_acquireMutex (Mutex=0xb6f35ff4) at mutex.c:164
#9  0xb751eb66 in vos::OMutex::acquire (this=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/mutex.cxx:97
#10 0xb56664d2 in SalYieldMutex::acquire (this=0xb7038f90)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/source/app/salinst.cxx:116
#11 0xb5a4dd0f in GtkHookedYieldMutex::acquire (this=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/gtk/app/gtkinst.cxx:113
#12 0xb5666963 in X11SalInstance::AcquireYieldMutex (this=0xfffffffc,
nCount=1)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/source/app/salinst.cxx:296
#13 0xb5a4d770 in GtkXLib::Yield (this=0xb7038ff8, bWait=1 '\001')
    at saldata.hxx:143
#14 0xb56669a1 in X11SalInstance::Yield (this=0xb7038fb0, bWait=1 '\001')
    at saldata.hxx:143
#15 0xb7dfa432 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/source/app/svapp.cxx:767
#16 0xb2295dc3 in sfx2::FileDialogHelper_Impl::implDoExecute
(this=0xaf6b5a30)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/dialog/filedlghelper.cxx:1411
#17 0xb229607a in sfx2::FileDialogHelper_Impl::execute (this=0xaf6b5a30, 
    rpURLList=@0xbfffea98, rpSet=@0xbfffea9c, rFilter=@0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/dialog/filedlghelper.cxx:1469
#18 0xb229b7d1 in sfx2::FileDialogHelper::Execute (this=0xbfffe920, 
    rPath=@0xfffffffc, rpURLList=@0xfffffffc, rpSet=@0xfffffffc, 
    rFilter=@0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/dialog/filedlghelper.cxx:2295
#19 0xb229c307 in sfx2::FileOpenDialog_Impl (nFlags=4294967292, 
    rFact=@0xfffffffc, rpURLList=@0xfffffffc, rFilter=@0xfffffffc, 
    rpSet=@0xfffffffc, aPath={mpData = 0xb7715b60}, nHelpId=0)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/dialog/filedlghelper.cxx:2496
#20 0xb20a66a5 in SfxApplication::OpenDocExec_Impl (this=0xb3394bb8, 
    rReq=@0xaf6b5b28)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/appl/appopen.cxx:1087
#21 0xb20be106 in SfxStubSfxApplicationOpenDocExec_Impl
(pShell=0xfffffffc, 
    rReq=@0xfffffffc) at sfxslots.hxx:1559
#22 0xb221ca0a in SfxDispatcher::Call_Impl (this=0xafff9330, 
    rShell=@0xb3394bb8, rSlot=@0xb2383e30, rReq=@0xaf6b5b28, bRecord=1
'\001')
    at shell.hxx:229
#23 0xb221f4a1 in SfxDispatcher::PostMsgHandler (this=0xafff9330, 
    pReq=0xaf6b5b28)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/control/dispatch.cxx:1557
#24 0xb221f3b4 in SfxDispatcher::LinkStubPostMsgHandler
(pThis=0xfffffffc, 
    pCaller=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/control/dispatch.cxx:1524
#25 0xb2241a59 in SfxHintPoster::Event (this=0xafff9770, 
    pPostedHint=0xaf6b5b28) at link.hxx:159
#26 0xb2241a0b in SfxHintPoster::LinkStubDoEvent_Impl (pThis=0xafff9770, 
    pCaller=0xb6f35ff4)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/sfx2/source/notify/hintpost.cxx:110
#27 0xb7f4dc36 in ImplHandleUserEvent (pSVEvent=0xaf851530) at
link.hxx:159
#28 0xb7f4e580 in ImplWindowFrameProc (pInst=0xb32c9938,
pFrame=0xb309f218, 
    nEvent=24564, pEvent=0xaf851530)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/source/window/winproc.cxx:2348
#29 0xb5663269 in SalDisplay::DispatchInternalEvent (this=0xb70391c8)
    at salframe.hxx:287
#30 0xb5a4d61e in GtkXLib::userEventFn (data=0xb7038ff8)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/gtk/app/gtkdata.cxx:621
#31 0xb69ac030 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#32 0xb69a9178 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#33 0xb69aa998 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#34 0xb69aae0a in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#35 0xb5a4d75a in GtkXLib::Yield (this=0xb7038ff8, bWait=1 '\001')
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/gtk/app/gtkdata.cxx:653
#36 0xb56669a1 in X11SalInstance::Yield (this=0xb7038fb0, bWait=1 '\001')
    at saldata.hxx:143
#37 0xb7dfa432 in Application::Yield ()
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/source/app/svapp.cxx:767
#38 0xb7dfa33f in Application::Execute ()
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/source/app/svapp.cxx:724
#39 0x0806536c in desktop::Desktop::Main (this=0x80c3c00)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/desktop/source/app/app.cxx:1594
#40 0xb7dff1b8 in SVMain ()
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/source/app/svmain.cxx:260
#41 0xb7fb1d6c in main (argc=2, argv=0xbffff8b4)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vcl/unx/source/plugadapt/salmain.cxx:93
#42 0xb6c73e33 in __libc_start_main () from /lib/tls/libc.so.6
#43 0x0805e0d5 in _start ()

Thread 10 (Thread -1261614160 (LWP 2899)):
#0  0xffffe410 in ?? ()
No symbol table info available.
#1  0xb4cd39e8 in ?? ()
No symbol table info available.
#2  0xb7495f3c in ?? () from /usr/lib/ooo-1.1/program/libsal.so.3
No symbol table info available.
#3  0xb4cd39d0 in ?? ()
No symbol table info available.
#4  0xb6f316f8 in accept () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb730467d in osl_acceptPipe (pPipe=0x80f77c0) at pipe.c:459
	s = -1261445648
	flags = -512
	pAcceptedPipe = 0x80f77c0
#6  0xb752a28e in vos::OPipe::accept (this=0xb4cfdddc,
Connection=@0xb4cfddf0)
    at refobj.inl:99
No locals.
#7  0x0806f7bd in desktop::OfficeIPCThread::run (this=0xb4cfddc8)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/desktop/source/app/officeipcthread.cxx:533
	nError = 4294966784
#8  0xb7523db2 in vos::_cpp_OThread_WorkerFunction (pthis=0xb4cfddc8)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/thread.cxx:89
No locals.
#9  0xb7523d97 in _OThread_WorkerFunction (pthis=0xfffffe00)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/thread.cxx:75
No locals.
#10 0xb72f94ec in osl_thread_start_Impl (pData=0x80f7288) at thread.c:305
	_buffer = {__routine = 0xb72f9383 <osl_thread_cleanup_Impl>, 
  __arg = 0x80f7288, __canceltype = -1225564172, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x80f7288
#11 0xb6f2c3ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#12 0xb6d25aee in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 9 (Thread -1272616016 (LWP 2900)):
#0  0xffffe410 in ?? ()
No symbol table info available.
#1  0xb4256338 in ?? ()
No symbol table info available.
#2  0x00000001 in ?? ()
No symbol table info available.
#3  0x00000000 in ?? ()
No symbol table info available.
#4  0xb6f2edac in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0xb72f5ef7 in osl_waitCondition (Condition=0x80ffa58,
pTimeout=0xb42563b0)
    at conditn.c:297
	ret = -4
	tp = {tv_sec = 1105367449, tv_usec = 418003}
	to = {tv_sec = 1105368349, tv_nsec = 415606000}
	pCond = (oslConditionImpl *) 0x80ffa58
	nRet = -4
#6  0xb751d3fd in vos::OCondition::wait (this=0xfffffffc,
pTimeout=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/conditn.cxx:104
No locals.
#7  0xb7527410 in vos::OTimerManager::run (this=0xb425ce48)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/timer.cxx:523
	delay = {<TimeValue> = {Seconds = 899, 
    Nanosec = 997603000}, <No data fields>}
	pDelay = (vos::TTimeValue *) 0xb42563b0
#8  0xb7523db2 in vos::_cpp_OThread_WorkerFunction (pthis=0xb425ce48)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/thread.cxx:89
No locals.
#9  0xb7523d97 in _OThread_WorkerFunction (pthis=0xfffffffc)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/vos/source/thread.cxx:75
No locals.
#10 0xb72f94ec in osl_thread_start_Impl (pData=0x80ffaa8) at thread.c:305
	_buffer = {__routine = 0xb72f9383 <osl_thread_cleanup_Impl>, 
  __arg = 0x80ffaa8, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x80ffaa8
#11 0xb6f2c3ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#12 0xb6d25aee in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 8 (Thread -1321788496 (LWP 2903)):
#0  0xffffe410 in ?? ()
No symbol table info available.
#1  0xb1371278 in ?? ()
No symbol table info available.
#2  0x000003e8 in ?? ()
No symbol table info available.
#3  0x00000001 in ?? ()
No symbol table info available.
#4  0xb6d1bef4 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#5  0xb138e855 in x11::SelectionManager::dispatchEvent (this=0xb313fd18, 
    millisec=-4)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/dtrans/source/X11/X11_selection.cxx:3585
	aPollFD = {fd = 23, events = 1, revents = 0}
	event = {type = 135885152, xany = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    window = 3069369639}, xkey = {type = 135885152, serial = 2973176576, 
    send_event = 32, display = 0x8197160, window = 3069369639, root =
306, 
    subwindow = 82616, time = 3075039036, x = -1290535656, y = 135918112, 
    x_root = -1321790680, y_root = -1221617251, state = 135918128, 
    keycode = 2973178800, same_screen = -1321790680}, xbutton = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, root = 306, subwindow =
82616, 
    time = 3075039036, x = -1290535656, y = 135918112, x_root =
-1321790680, 
    y_root = -1221617251, state = 135918128, button = 2973178800, 
    same_screen = -1321790680}, xmotion = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    window = 3069369639, root = 306, subwindow = 82616, time =
3075039036, 
    x = -1290535656, y = 135918112, x_root = -1321790680, 
    y_root = -1221617251, state = 135918128, is_hint = -80 '°', 
    same_screen = -1321790680}, xcrossing = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    window = 3069369639, root = 306, subwindow = 82616, time =
3075039036, 
    x = -1290535656, y = 135918112, x_root = -1321790680, 
    y_root = -1221617251, mode = 135918128, detail = -1321788496, 
    same_screen = -1321790680, focus = -1226248870, state = 3069180204}, 
  xfocus = {type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, mode = 306, detail =
82616}, 
  xexpose = {type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, x = 306, y = 82616, 
    width = -1219928260, height = -1290535656, count = 135918112}, 
  xgraphicsexpose = {type = 135885152, serial = 2973176576, send_event
= 32, 
    display = 0x8197160, drawable = 3069369639, x = 306, y = 82616, 
    width = -1219928260, height = -1290535656, count = 135918112, 
    major_code = -1321790680, minor_code = -1221617251}, xnoexpose = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, drawable = 3069369639, major_code = 306, 
    minor_code = 82616}, xvisibility = {type = 135885152, serial =
2973176576, 
    send_event = 32, display = 0x8197160, window = 3069369639, state =
306}, 
  xcreatewindow = {type = 135885152, serial = 2973176576, send_event =
32, 
    display = 0x8197160, parent = 3069369639, window = 306, x = 82616, 
    y = -1219928260, width = -1290535656, height = 135918112, 
    border_width = -1321790680, override_redirect = -1221617251}, 
  xdestroywindow = {type = 135885152, serial = 2973176576, send_event
= 32, 
    display = 0x8197160, event = 3069369639, window = 306}, xunmap = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, event = 3069369639, window = 306, 
    from_configure = 82616}, xmap = {type = 135885152, serial =
2973176576, 
    send_event = 32, display = 0x8197160, event = 3069369639, window =
306, 
    override_redirect = 82616}, xmaprequest = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    parent = 3069369639, window = 306}, xreparent = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    event = 3069369639, window = 306, parent = 82616, x = -1219928260, 
    y = -1290535656, override_redirect = 135918112}, xconfigure = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, event = 3069369639, window = 306, x = 82616, 
    y = -1219928260, width = -1290535656, height = 135918112, 
    border_width = -1321790680, above = 3073350045, 
    override_redirect = 135918128}, xgravity = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    event = 3069369639, window = 306, x = 82616, y = -1219928260}, 
  xresizerequest = {type = 135885152, serial = 2973176576, send_event
= 32, 
    display = 0x8197160, window = 3069369639, width = 306, height =
82616}, 
  xconfigurerequest = {type = 135885152, serial = 2973176576,
send_event = 32, 
    display = 0x8197160, parent = 3069369639, window = 306, x = 82616, 
    y = -1219928260, width = -1290535656, height = 135918112, 
    border_width = -1321790680, above = 3073350045, detail = 135918128, 
    value_mask = 2973178800}, xcirculate = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    event = 3069369639, window = 306, place = 82616},
xcirculaterequest = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, parent = 3069369639, window = 306, place =
82616}, 
  xproperty = {type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, atom = 306, time = 82616, 
    state = -1219928260}, xselectionclear = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    window = 3069369639, selection = 306, time = 82616},
xselectionrequest = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, owner = 3069369639, requestor = 306, 
    selection = 82616, target = 3075039036, property = 3004431640, 
    time = 135918112}, xselection = {type = 135885152, serial =
2973176576, 
    send_event = 32, display = 0x8197160, requestor = 3069369639, 
    selection = 306, target = 82616, property = 3075039036, 
    time = 3004431640}, xcolormap = {type = 135885152, serial =
2973176576, 
    send_event = 32, display = 0x8197160, window = 3069369639,
colormap = 306, 
    c_new = 82616, state = -1219928260}, xclient = {type = 135885152, 
    serial = 2973176576, send_event = 32, display = 0x8197160, 
    window = 3069369639, message_type = 306, format = 82616, data = {
      b = "<_I·\030ý\023³ ò\031\b(\0237±\235\231/·", s = {24380,
-18615, -744, 
        -19693, -3552, 2073, 4904, -20169, -26211, -18641}, l =
{-1219928260, 
        -1290535656, 135918112, -1321790680, -1221617251}}}, xmapping = {
    type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, request = 306, 
    first_keycode = 82616, count = -1219928260}, xerror = {type =
135885152, 
    display = 0xb1371300, resourceid = 32, serial = 135885152, 
    error_code = 39 '\'', request_code = 221 'Ý', minor_code = 242 'ò'}, 
  xkeymap = {type = 135885152, serial = 2973176576, send_event = 32, 
    display = 0x8197160, window = 3069369639, 
    key_vector = "2\001\000\000¸B\001\000<_I·\030ý\023³
ò\031\b(\0237±\235\231/·0ò\031\b"}, pad = {135885152, -1321790720, 32,
135885152, -1225597657, 306, 
    82616, -1219928260, -1290535656, 135918112, -1321790680, -1221617251, 
    135918128, -1321788496, -1321790680, -1226248870, -1225787092, 
    -1321790720, 0, 1, 8126465, 0, 0, -1321654806}}
#6  0xb138e9c7 in x11::SelectionManager::run (pThis=0xb313fd18)
    at
/usr/src/debug/ooo-build-cvs20041001/build/OOO_1_1_2/dtrans/source/X11/X11_selection.cxx:3630
	aNow = {tv_sec = 1105367497, tv_usec = 689215}
	This = (x11::SelectionManager *) 0xb313fd18
	aLast = {tv_sec = 1105367497, tv_usec = 689215}
#7  0xb72f94ec in osl_thread_start_Impl (pData=0x819f220) at thread.c:305
	_buffer = {__routine = 0xb72f9383 <osl_thread_cleanup_Impl>, 
  __arg = 0x819f220, __canceltype = 0, __prev = 0x0}
	terminate = 0
	pImpl = (Thread_Impl *) 0x819f220
#8  0xb6f2c3ae in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0xb6d25aee in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 7 (Thread -1354990672 (LWP 2905)):
#0  0xffffe410 in ?? ()
No symbol table info available.
#1  0xaf3c7388 in ?? ()
No symbol table info available.
#2  0xffffffff in ?? ()
No symbol table info available.
#3  0x00000007 in ?? ()
No symbol table info available.
#4  0xb6d1bef4 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#5  0xb69aa929 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0xb69aacbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#7  0xb6a41bff in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#8  0xb6a0267c in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#9  0xaf3c7458 in ?? ()
No symbol table info available.
#10 0xb69c360b in g_static_private_free () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#0  0xffffe410 in ?? ()
Comment 6 Daniel Malmgren 2005-01-10 09:40:12 EST
Oh, btw: I can confirm what Sean said, I don't get the crash either
when hald is stopped.
Comment 7 Daniel Malmgren 2005-01-10 10:25:13 EST
Nope. Sorry for the noice, but now I got a crash even though hald was
running. This time by choosing "Export as pdf" from the menu. New
backtrace follows:

Backtrace was generated from '/usr/lib/ooo-1.1/program/soffice.bin'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 3196)]
[New Thread -1372734544 (LWP 3384)]
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 3196)]
[New Thread -1372734544 (LWP 3384)]
[Thread debugging using libthread_db enabled]
[New Thread -1245186368 (LWP 3196)]
[New Thread -1372734544 (LWP 3384)]
[New Thread -1364075600 (LWP 3383)]
[New Thread -1372468304 (LWP 3298)]
[New Thread -1363809360 (LWP 3296)]
[New Thread -1363461200 (LWP 3295)]
[New Thread -1354990672 (LWP 3294)]
[New Thread -1321788496 (LWP 3292)]
[New Thread -1272616016 (LWP 3217)]
[New Thread -1261614160 (LWP 3216)]
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
#1  0xbfffc058 in ?? ()
#2  0x00000002 in ?? ()
#3  0x00000000 in ?? ()
#4  0xb6f3122e in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#5  0xb6f2de4b in _L_mutex_lock_144 () from /lib/tls/libpthread.so.0
#6  0x00000000 in ?? ()
#7  0x0000001d in ?? ()
#8  0xb7495f3c in ?? () from /usr/lib/ooo-1.1/program/libsal.so.3
#9  0xb7038f90 in ?? ()
#10 0xb7038f90 in ?? ()
#11 0xbfffc068 in ?? ()
#12 0xb72f8abf in osl_acquireMutex (Mutex=0xb6f35ff4) at mutex.c:164
Comment 8 David Zeuthen 2005-01-10 10:32:48 EST
Comment 7: To be really sure you need to restart gnome-vfs-daemon
after killing hald; one way of doing this is to log out and then log
in again.
Comment 9 Daniel Malmgren 2005-01-10 10:51:57 EST
Ok. Logged out and in again with hald stopped. I still get the same crash.
Comment 10 Caolan McNamara 2005-01-12 07:37:47 EST
*** Bug 143860 has been marked as a duplicate of this bug. ***
Comment 11 Daniel Malmgren 2005-01-17 05:16:50 EST
Is there any progress on this bug? I'm noticing more and more things
that makes oo crash, for example "insert->insert file" crashes whether
hald is started or not.

If I need to get oo working, is there anything I could simply downgrade?
Comment 12 Dan Williams 2005-01-17 08:25:05 EST
Seems to be the a gnome-vfs/gtk bug, there is a known problem with
GTK+ where the gnome-vfs auth dialog is started, but is unprotected
with GTK_THREADS_ENTER/GTK_THREADS_LEAVE, causing a deadlock...

It might also be an OOo bug, but that's less likely.

Matthias, does this look like the GTK thing to you that I was seeing
with Rhythmbox?  If not, we'll investiage other options...
Comment 13 Matthias Clasen 2005-01-17 09:47:59 EST
No, looks more like gnome-vfs crash to me. The first thing to look at
would be the assertion in gnome_vfs_cancellation_cancel
Comment 14 Sean Middleditch 2005-01-17 09:50:53 EST
With the following versions of OOo, hal, and gvs2 I'm no longer seeing
crashes on save/save-as with hald running.  At least, I haven't seen
in any in the 5 or so times I've tried it yesterday, and before it
always crashed.

openoffice.org-1.1.2-14.7
hal-0.4.5-1
gnome-vfs2-2.8.2-10
Comment 15 Daniel Malmgren 2005-01-17 12:15:28 EST
#14: That's the exact same versions I'm running, and I'm experiencing
crashes all the time...
Comment 16 Daniel Malmgren 2005-01-25 13:04:13 EST
I still get this with hal 0.4.6-2 and oo 1.1.3-2.7.
Comment 17 Paul Flinders 2005-02-06 13:28:47 EST
Just to add a "me too" - openoffice is almost unuseable on my system
because of hitting the gnome_vfs_cancellation_cancel assertion

I have
openoffice.org-1.1.3-5.7.0
hal-0.4.7-2
gnome-vfs2-2.9.90-1
gtk2-2.6.2-1

"Save As" almost always crashes (making it very difficult to create
new documents. "Open" quite often dies (maybe 75% of the time) and
trying to insert an image dies about 1/3 of the time.
Comment 18 Matthias Clasen 2005-02-07 01:22:00 EST
You should be able to work around the problem by setting the key
/desktop/gnome/interface/file_chooser_backend to gtk+
Comment 19 Caolan McNamara 2005-02-15 03:54:48 EST
i.e. it's this problem ? http://bugzilla.gnome.org/show_bug.cgi?id=166852
Comment 20 Caolan McNamara 2005-02-15 05:36:38 EST
I'm confident that its gnome#166852#.
Comment 21 Caolan McNamara 2005-02-16 08:27:05 EST
*** Bug 147913 has been marked as a duplicate of this bug. ***
Comment 22 Alexander Larsson 2005-02-16 08:38:40 EST
This should be mostly fixed in gnome-vfs2-2.9.91-2, and fully fixed
once the next libgnomeui version is released and built.
Comment 23 Caolan McNamara 2005-02-16 08:52:50 EST
*** Bug 146644 has been marked as a duplicate of this bug. ***
Comment 24 Per Bjornsson 2005-03-01 21:42:59 EST
*** Bug 149565 has been marked as a duplicate of this bug. ***
Comment 25 Caolan McNamara 2005-06-01 07:09:53 EDT
*** Bug 159273 has been marked as a duplicate of this bug. ***
Comment 26 Caolan McNamara 2005-08-26 04:45:56 EDT
*** Bug 139357 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.